/*

Copyright (C) 2019 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include<iostream>
#include<iomanip>
#include"../search/history.h"
#include"../movegen/move.h"
using namespace std;

//-------------------------------------------------------
//
//           unittest History
//


void test_history()
{
  cout << "Test History .........................................." << flush;
  bool r=true;


  HistoryTable ht;


  {
    Move m(e2,e4,normal_move,0,0);
    ht.increment(m,1);
    ht.increment(m,2);
    if(ht.value(m)!=6){r=false;}
    ht.decrement(m,4);
    if(ht.value(m)!=-10){r=false;}
  }


  
  if(r){cout << "OK" << endl;}else{cout << "FAIL" << endl;}

}






