/*

Copyright (C) 2019 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include<iostream>
#include<iomanip>
#include<stdexcept>
#include<utility>
#include"../search/lmr.h"
using namespace std;

//-------------------------------------------------------
//
//           unittest Move: 
//

void test_lmr()
{
  cout << "Test LMR .............................................." << flush;
  bool r=true;


  LmrTable lmr;
  /*
  cout << endl;
  for(int depth=0;depth<20;depth++){
    for(int move=0;move<60;move++){
      cout << setw(2) << (int)lmr.value(depth,move) << " " << flush;
    }
    cout << endl;
  }
  */
  if(lmr.value(19,43)!=9){r=false;cerr << "lmr.value=" << (int)lmr.value(19,43) << endl;}
  
  if(r){cout << "OK" << endl;}else{cout << "FAIL" << endl;}
  
}






