/*

Copyright (C) 2019 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include<iostream>
#include"console.h"
using std::cin;


ConsoleInput::ConsoleInput(Communicator& x) : m_com(x)
{
}

void ConsoleInput::operator()()
{
  string command;
  while(command!="quit"){
    command.clear();
    getline(cin,command);
    m_nor++;
    if(m_nor>2000000000){command="quit";}
    if(command.size()>0){
      m_com.to_engine(command);	  
    }
  }
}


