/*

Copyright (C) 2019 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include"level.h"


int Level::get_mps()
{
  return m_mps;
}

Duration Level::get_base()
{
  return m_base;
}

Duration Level::get_inc()
{
  return m_inc;
}

void Level::set_mps(int x)
{
  m_mps=x;
}

void Level::set_base(Duration x)
{
  m_base=x;
}

void Level::set_inc(Duration x)
{
  m_inc=x;
}

bool Level::operator==(const Level& x)const
{
  return (m_mps==x.m_mps && m_base==x.m_base && m_inc==x.m_inc);
}

bool Level::operator!=(const Level& x)const
{
  return (m_mps!=x.m_mps || m_base!=x.m_base || m_inc!=x.m_inc);
}
