/*

Copyright (C) 2019 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef KILLER_H
#define KILLER_H

#include"../movegen/move.h"
#include<utility>
using std::pair;



class Killer
{
 private:
  vector<pair<Move,Move>> m_killer;

 public:
  Killer();
  void clear();
  void set_killer(int,const Move&);
  Move get_killerA(int)const;
  Move get_killerB(int)const;
};


#endif
